%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Authen-Smb
Version:        0.91
Release:        5%{?dist}
Summary:        Perl extension to authenticate against an SMB server

Group:          Development/Libraries
License:        Unknown
URL:            http://search.cpan.org/~pmkane/Authen-Smb-0.91/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PM/PMKANE/Authen-Smb-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl-devel
BuildRequires:  gcc
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Authen::Smb allows you to authenticate a user against an NT domain.
You can specify both a primary and a backup server to use for authentication.
The NT names of the machines should be used for specifying servers.

%prep
%setup -q -n Authen-Smb-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes INSTALL README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.91-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.91-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 0.91-3
- Rebuilt for fc22

* Wed Jan  8 2014 momo-i <webmaster@momo-i.org> - 0.91-2
- Update Group

* Tue Aug 13 2013 momo-i <webmaster@momo-i.org> - 0.91-1
- Initial rpm release.
